<!doctype html>
<html lang="en">
<head>
    <title>Cake Manager</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
</head>
<body>

<main role="main" class="container">
    <div class="d-flex align-items-center p-3 my-3 rounded shadow-sm bg-light">
        <div>
            <h6 class="mb-0">Cake Manager</h6>
        </div>
    </div>

    <div class="my-3 p-3 bg-light rounded shadow-sm">
        <div class="border-bottom border-gray pb-2 mb-0 d-flex justify-content-between">
            <div>Cakes</div>
            <div>
                <button id="btn-download-cakes" type="button" class="btn btn-primary btn-sm" onclick="window.location.href='/cakes/download';">Download</button>
                <button id="btn-add-cake" type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#exampleModal">Add</button>
            </div>
        </div>
        <div id="cake-list">
        </div>
    </div>

</main>


<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form id="add-cake-form">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Add new cake</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label for="form-title">Title</label>
                        <input type="text" class="form-control" id="form-title" >
                    </div>
                    <div class="form-group">
                        <label for="form-description">Description</label>
                        <input type="text" class="form-control" id="form-description">
                    </div>
                    <div class="form-group">
                        <label for="form-imageURL">Image URL</label>
                        <input type="text" class="form-control" id="form-imageURL">
                    </div>
                    <div id="model-error-msg" class="alert alert-danger invisible" role="alert">
                        <span></span>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Save</button>
                </div>
            </form>
        </div>
    </div>
</div>

<script type="text/javascript" src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
<script type="text/javascript" src="js/cakemgr.js"></script>
</body>
</html>